## openmodelica 1.11.0~4-g67594c0

=== debian/changelog ===
openmodelica (1.11.0~4-g67594c0-1) unstable; urgency=low

  * Automatic git build
 -- OpenModelica Build System <build@openmodelica.org>  Mon, 04 Dec 2023 12:52:27 -0000

=== debian/control ===
Source: openmodelica
Section: math
Priority: optional
Maintainer: OpenModelica Build System <build@openmodelica.org>
Build-Depends: debhelper (>= 9.0.0),
# sbuild i386 does not handle native, cross-compile armhf requires it...
 clang:native | clang,
 gfortran:native | gfortran,
 default-jdk:native | default-jdk,
 omniidl:native (>= 4.0.0) | omniidl4:native | omniidl (>= 4.0.0) | omniidl4,
 libhwloc-dev:native | libhwloc-dev,
 automake,
 libtool,
 uuid-dev,
 libncurses5-dev,
 libsqlite3-dev,
 cmake (>= 2.8.6),
# libssl-dev (>= 0.9.8g), # Do we really depend on libssl directly? Debian stretch conflicts with it...
 libreadline-dev,
 qtbase5-dev,
 libqt5svg5-dev,
 qttools5-dev-tools,
 libqt5opengl5-dev,
 libqt5webkit5-dev,
 libqt5xmlpatterns5-dev,
 liblpsolve55-dev (>= 5.5.0.10),
 libomniorb4-dev,
 libhdf5-serial-dev | libhdf5-dev,
 liblapack-dev,
 libcurl4-gnutls-dev | libcurl-dev,
 autoconf,
 libexpat1-dev,
 libomp-dev,
# Should be needed but seems to mess up sbuild
# libexpat1-dev:native,
 libboost-all-dev,
 libopenscenegraph-dev,
 pkg-config,
 libffi-dev,
 lsb-release
Standards-Version: 3.9.5

Package: openmodelica
Section: math
Architecture: any
Depends: omc (<< 20000),
 omplot (<< 20000),
 omshell (<< 20000),
 omshell-terminal (<< 20000),
 omnotebook (<< 20000),
 drmodelica (<< 20000),
 drcontrol (<< 20000),
 omedit (<< 20000),
 omsimulator,
# omoptim,
 ${misc:Depends}
Description: A complete Modelica environment
 The goal of the project is to create a complete Modelica modeling, compilation
 and simulation environment based on free software distributed in binary and
 source code form.
 .
 This package is a Debian metapackage. After installation this package can be
 removed. This metapackage pulls in the following OpenModelica packages:
 .
 1. Package omc the OpenModelica Compiler/Interpreter (omc)
 2. Package omshell the OpenModelica Shell (OMShell)
 3. Package omshell-terminal the OpenModelica Shell-terminal (OMShell-terminal)
 4. Package omnotebook the OpenModelica Notebook, with DrModelica and DrControl
 5. Package omedit, a Modelica connection editor for OpenModelica
 6. Package omoptim, a tool for optimization of Modelica models (temporarily removed while the build system is being updated)
 7. Package omplot, the plot tools for OpenModelica
 8. Package omsimulator, an FMI/SSP simulation tool

Package: omc
Section: math
Architecture: any
Depends: clang,
 build-essential,
 libexpat1-dev,
 liblapack-dev,
 zip,
 unzip,
 omc-common,
 libomc,
 libomcsimulation,
 ${shlibs:Depends},
 ${misc:Depends}
Recommends: libomccpp,
 omplot,
 gnuplot-nox,
 xsltproc,
 libsaxonb-java
Suggests: python-beautifulsoup
Breaks: omlib-modelica-3.2.3,
 omlib-modelica-4.0.0,
 omlib-modelicaservices-3.2.3,
 omlib-modelicaservices-4.0.0
Description: The OpenModelica Compiler
 This is the core of the OpenModelica project. It can be used stand-alone as
 a compiler. It is recommended to use it together with an OpenModelica client,
 such as OMShell (textual interface), OMNotebook (for teaching purposes)
 or OMEdit (graphical modeling).

Package: libomc
Section: math
Multi-Arch: same
Architecture: any
Depends: omc-common (<< 20000),
 libomcsimulation (<< 20000),
 ${shlibs:Depends},
 ${misc:Depends}
Description: The OpenModelica Compiler lib dependencies
 This is the core libraries of the OpenModelica project.

Package: libomc-dev
Section: math
Multi-Arch: same
Architecture: any
Depends: libomc (<< 20000),
 ${shlibs:Depends},
 ${misc:Depends}
Description: The OpenModelica Compiler lib dependencies
 This is the core libraries of the OpenModelica project.
 Currently contains antlr3 include-files.

Package: libomcsimulation
Section: math
Multi-Arch: same
Architecture: any
Depends: omc-common (<< 20000),
 ${shlibs:Depends},
 ${misc:Depends}
Description: The OpenModelica Compiler simulation library dependencies
 This is the core libraries of the OpenModelica project and can be
 used for cross-compiling simulation executables and FMU's.

Package: omc-common
Section: math
Multi-Arch: foreign
Architecture: all
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: The OpenModelica Compiler lib dependencies
 This is the core libraries of the OpenModelica project.

Package: omplot
Section: math
Architecture: any
Depends: libomplot (<< 20000),
 ${shlibs:Depends},
 ${misc:Depends}
Description: Plot tool for OpenModelica
 This tool is essential for using the plot() command in omc.

Package: libomplot
Section: math
Multi-Arch: same
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: Plot tool for OpenModelica, lib dependencies
 This tool is essential for using the plot() command in omc.

Package: libomplot-dev
Section: math
Multi-Arch: same
Architecture: any
Depends: libomplot (<< 20000),
 ${shlibs:Depends},
 ${misc:Depends}
Description: Plot tool for OpenModelica, development package
 This tool is essential for using the plot() command in omc.

Package: omedit
Section: math
Architecture: any
Depends: omc (<< 20000),
 libomsimulator,
 libomsensplugin,
 ${shlibs:Depends},
 ${misc:Depends}
Suggests: omlibrary
Description: A Modelica connection editor for OpenModelica
 OMEdit is still in active development. Please try it out and give feedback.

Package: libomsensplugin
Multi-Arch: same
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: The OpenModelica OMSense_Qt plugin library for OMEdit
 This is needed to be able to run OMSense from OMEdit

Package: omnotebook
Section: math
Architecture: any
Depends: omc (<< 20000),
 ${shlibs:Depends},
 ${misc:Depends}
Recommends: drmodelica,
 drcontrol,
 texlive-latex-base,
 dvipng
Description: A Mathematica-style Notebook for OpenModelica

Package: drmodelica
Section: math
Multi-Arch: foreign
Architecture: all
Depends: omnotebook (<< 20000),
 ${shlibs:Depends},
 ${misc:Depends}
Description: An OMNotebook course in the Modelica language
 The course is based on Peter Fritzson's book
 “Principles of Object-Oriented Modeling and Simulation with Modelica 2.1”.

Package: drcontrol
Section: math
Multi-Arch: foreign
Architecture: all
Depends: omnotebook (<< 20000),
 ${shlibs:Depends},
 ${misc:Depends}
Description: An OMNotebook course in basic control theory

Package: omshell-terminal
Section: math
Architecture: any
Depends: omc (<< 20000),
 ${shlibs:Depends},
 ${misc:Depends}
Description: A text-based interface to OpenModelica (based on readline)

Package: omshell
Section: math
Architecture: any
Depends: omc (<< 20000),
 ${shlibs:Depends},
 ${misc:Depends}
Description: A text-based interface to OpenModelica (based on Qt)

Package: libomccpp
Section: math
Architecture: i386 amd64
Multi-Arch: same
Depends: libboost-dev,
 libboost-filesystem-dev,
 libboost-system-dev,
 libboost-serialization-dev,
 libboost-program-options-dev,
 ${shlibs:Depends},
 ${misc:Depends}
Description: Libraries for the C++ code generation target of OpenModelica

Package: libomsimulator
Multi-Arch: same
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: The OpenModelica OMSimulator library dependencies
 This is the embeddable version of OMSimulator, allow a tool to simulate
 FMUs.

Package: omsimulator
Multi-Arch: same
Architecture: any
Depends: libomsimulator,
 ${shlibs:Depends},
 ${misc:Depends}
Description: The OpenModelica OMSimulator
 OMSimulator is a simulator that allows a tool to for example simulate
 FMUs.

Package: omlibrary
Architecture: all
Description: OpenModelica library cache of the standard library for use
 during conferences/etc where OpenModelica does not have internet access.

## openmodelica 1.11.0~dev.beta2

=== OMCompiler/3rdParty/sundials/CMakeLists.txt ===
# ---------------------------------------------------------------
# $Revision: 4517 $
# $Date: 2015-07-29 16:16:53 -0700 (Wed, 29 Jul 2015) $
# ---------------------------------------------------------------
# Programmer:  Radu Serban @ LLNL
# ---------------------------------------------------------------
# LLNS Copyright Start
# Copyright (c) 2014, Lawrence Livermore National Security
# This work was performed under the auspices of the U.S. Department 
# of Energy by Lawrence Livermore National Laboratory in part under 
# Contract W-7405-Eng-48 and in part under Contract DE-AC52-07NA27344.
# Produced at the Lawrence Livermore National Laboratory.
# All rights reserved.
# For details, see the LICENSE file.
# LLNS Copyright End
# ---------------------------------------------------------------
# Top level CMakeLists.txt for SUNDIALS (for cmake build system)


# -------------------------------------------------------------
# Initial commands
# -------------------------------------------------------------

# Require a fairly recent cmake version

CMAKE_MINIMUM_REQUIRED(VERSION 2.8.1)

# Set CMake policy to allow examples to build
if(COMMAND cmake_policy)
  cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

# Project SUNDIALS (initially only C supported)

PROJECT(sundials C)

# Set some variables with info on the SUNDIALS project

SET(PACKAGE_BUGREPORT "woodward6@llnl.gov")
SET(PACKAGE_NAME "SUNDIALS")
SET(PACKAGE_STRING "SUNDIALS 2.6.2")
SET(PACKAGE_TARNAME "sundials")
SET(PACKAGE_VERSION "2.6.2")

# 
SET_PROPERTY(GLOBAL PROPERTY USE_FOLDERS ON)

# Prohibit in-source build

IF("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
  MESSAGE(FATAL_ERROR "In-source build prohibited.")
ENDIF("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")

# Hide/show some cache variables

MARK_AS_ADVANCED(EXECUTABLE_OUTPUT_PATH LIBRARY_OUTPUT_PATH)
MARK_AS_ADVANCED(CLEAR
  CMAKE_C_COMPILER
  CMAKE_C_FLAGS
  CMAKE_C_FLAGS_DEBUG
  CMAKE_C_FLAGS_MINSIZEREL
  CMAKE_C_FLAGS_RELEASE
  CMAKE_C_FLAGS_RELWITHDEB)

# Specify the VERSION and SOVERSION for shared libraries

SET(arkodelib_VERSION "1.0.0")
SET(arkodelib_SOVERSION "1")

SET(cvodelib_VERSION "1.0.0")
SET(cvodelib_SOVERSION "1")

SET(cvodeslib_VERSION "2.0.0")
SET(cvodeslib_SOVERSION "2")

SET(idalib_VERSION "2.0.0")
SET(idalib_SOVERSION "2")

SET(idaslib_VERSION "0.0.0")
SET(idaslib_SOVERSION "0")

SET(kinsollib_VERSION "1.0.0")
SET(kinsollib_SOVERSION "1")

SET(cpodeslib_VERSION "0.0.0")
SET(cpodeslib_SOVERSION "0")

SET(nveclib_VERSION "0.0.2")
SET(nveclib_SOVERSION "0")

# Specify the location of additional CMAKE modules

SET(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/config)

# -------------------------------------------------------------
# MACRO definitions
# -------------------------------------------------------------

# Macros to hide/show cached variables.
# These two macros can be used to "hide" or "show" in the
# list of cached variables various variables and/or options 
# that depend on other options.
# Note that once a variable is modified, it will preserve its
# value (hidding it merely makes it internal)

MACRO(HIDE_VARIABLE var)
  IF(DEFINED ${var})
    SET(${var} "${${var}}" CACHE INTERNAL "")
  ENDIF(DEFINED ${var})
ENDMACRO(HIDE_VARIABLE)

MACRO(SHOW_VARIABLE var type doc default)
  IF(DEFINED ${var})
    SET(${var} "${${var}}" CACHE "${type}" "${doc}" FORCE)
  ELSE(DEFINED ${var})
    SET(${var} "${default}" CACHE "${type}" "${doc}")
  ENDIF(DEFINED ${var})
ENDMACRO(SHOW_VARIABLE)

# Macros to append a common suffix or prefix to the elements of a list

MACRO(ADD_SUFFIX rootlist suffix)
  SET(outlist )
  FOREACH(root ${${rootlist}})
    LIST(APPEND outlist ${root}${suffix})
  ENDFOREACH(root)
  SET(${rootlist} ${outlist})
ENDMACRO(ADD_SUFFIX)

MACRO(ADD_PREFIX prefix rootlist)
  SET(outlist )
  FOREACH(root ${${rootlist}})
    LIST(APPEND outlist ${prefix}${root})
  ENDFOREACH(root)
  SET(${rootlist} ${outlist})
ENDMACRO(ADD_PREFIX)

# Macro to print warning that some features will be disabled
# due to some failure.

MACRO(PRINT_WARNING message action)
  MESSAGE("WARNING: ${message}.\n   ${action}.")
ENDMACRO(PRINT_WARNING)

# Returns an unquoted string.  Note that CMake will readily turn such
# strings back into lists, due to the duality of lists and
# semicolon-separated strings.  So be careful how you use it.

MACRO(LIST2STRING alist astring)
  FOREACH(elem ${${alist}})
   SET(${astring} "${${astring}} ${elem}")
  ENDFOREACH(elem)
ENDMACRO(LIST2STRING)

# -------------------------------------------------------------
# Which modules to build?
# -------------------------------------------------------------

# For each SUNDIALS solver available (i.e. for which we have the
# sources), give the user the option of enabling/disabling it.

IF(IS_DIRECTORY "${sundials_SOURCE_DIR}/src/arkode")
  OPTION(BUILD_ARKODE  "Build the ARKODE library"  ON)
ELSE(IS_DIRECTORY "${sundials_SOURCE_DIR}/src/arkode")
  SET(BUILD_ARKODE OFF)
ENDIF(IS_DIRECTORY "${sundials_SOURCE_DIR}/src/arkode")

IF(IS_DIRECTORY "${sundials_SOURCE_DIR}/src/cvode")
  OPTION(BUILD_CVODE  "Build the CVODE library"  ON)
ELSE(IS_DIRECTORY "${sundials_SOURCE_DIR}/src/cvode")
  SET(BUILD_CVODE OFF)
ENDIF(IS_DIRECTORY "${sundials_SOURCE_DIR}/src/cvode")

IF(IS_DIRECTORY "${sundials_SOURCE_DIR}/src/cvodes")
  OPTION(BUILD_CVODES  "Build the CVODES library"  ON)
ELSE(IS_DIRECTORY "${sundials_SOURCE_DIR}/src/cvodes")
  SET(BUILD_CVODES OFF)
ENDIF(IS_DIRECTORY "${sundials_SOURCE_DIR}/src/cvodes")

IF(IS_DIRECTORY "${sundials_SOURCE_DIR}/src/ida")
  OPTION(BUILD_IDA  "Build the IDA library"  ON)
ELSE(IS_DIRECTORY "${sundials_SOURCE_DIR}/src/ida")
  SET(BUILD_IDA OFF)
ENDIF(IS_DIRECTORY "${sundials_SOURCE_DIR}/src/ida")

IF(IS_DIRECTORY "${sundials_SOURCE_DIR}/src/idas")
  OPTION(BUILD_IDAS  "Build the IDAS library"  ON)
ELSE(IS_DIRECTORY "${sundials_SOURCE_DIR}/src/idas")
  SET(BUILD_IDAS OFF)
ENDIF(IS_DIRECTORY "${sundials_SOURCE_DIR}/src/idas")

IF(IS_DIRECTORY "${sundials_SOURCE_DIR}/src/kinsol")
  OPTION(BUILD_KINSOL  "Build the KINSOL library"  ON)
ELSE(IS_DIRECTORY "${sundials_SOURCE_DIR}/src/kinsol")
  SET(BUILD_KINSOL OFF)
ENDIF(IS_DIRECTORY "${sundials_SOURCE_DIR}/src/kinsol")

# CPODES is alway OFF for now.  (commented out for Release); ToDo: better way to do this?
#IF(IS_DIRECTORY "${sundials_SOURCE_DIR}/src/cpodes")
#  OPTION(BUILD_CPODES  "Build the CPODES library"  OFF)
#ELSE(IS_DIRECTORY "${sundials_SOURCE_DIR}/src/cpodes")
#  SET(BUILD_CPODES OFF)
#ENDIF(IS_DIRECTORY "${sundials_SOURCE_DIR}/src/cpodes")

# -------------------------------------------------------------
# Other configuration options
# -------------------------------------------------------------

# Option that allows users to build static and/or shared libraries
# ----------------------------------------------------------------

OPTION(BUILD_STATIC_LIBS "Build static libraries" ON)
OPTION(BUILD_SHARED_LIBS "Build shared libraries" ON)

# Prepare substitution variable SUNDIALS_EXPORT for sundials_config.h
# When building shared SUNDIALS libraries under Windows, use
#      #define SUNDIALS_EXPORT __declspec(dllexport)
# When linking to shared SUNDIALS libraries under Windows, use
#      #define SUNDIALS_EXPORT __declspec(dllimport)
# In all other cases (other platforms or static libraries
# under Windows), the SUNDIALS_EXPORT macro is empty

IF(BUILD_SHARED_LIBS AND WIN32)
  SET(SUNDIALS_EXPORT
    "#ifdef BUILD_SUNDIALS_LIBRARY
#define SUNDIALS_EXPORT __declspec(dllexport)
#else
#define SUNDIALS_EXPORT __declspec(dllimport)
#endif")
ELSE(BUILD_SHARED_LIBS AND WIN32)
  SET(SUNDIALS_EXPORT "#define SUNDIALS_EXPORT")
ENDIF(BUILD_SHARED_LIBS AND WIN32)

# Make sure we build at least one type of libraries
IF(NOT BUILD_STATIC_LIBS AND NOT BUILD_SHARED_LIBS)
  PRINT_WARNING("Both static and shared library generation were disabled"
    "Building static libraries was re-enabled")
  SET(BUILD_STATIC_LIBS ON CACHE BOOL "Build static libraries" FORCE)
ENDIF(NOT BUILD_STATIC_LIBS AND NOT BUILD_SHARED_LIBS)

# Option to specify precision
# ---------------------------

SET(SUNDIALS_PRECISION "double" CACHE STRING "double, single or extended")

# prepare substitution variable PRECISION_LEVEL for sundials_config.h
STRING(TOUPPER ${SUNDIALS_PRECISION} SUNDIALS_PRECISION)
SET(PRECISION_LEVEL "#define SUNDIALS_${SUNDIALS_PRECISION}_PRECISION 1")

# Option to use the generic math libraries (UNIX only)
# ----------------------------------------------------

IF(UNIX)
  OPTION(USE_GENERIC_MATH "Use generic (std-c) math libraries" ON)
  IF(USE_GENERIC_MATH)
    # executables will be linked against -lm 
    SET(EXTRA_LINK_LIBS -lm)
    # prepare substitution variable for sundials_config.h
    SET(SUNDIALS_USE_GENERIC_MATH TRUE)
  ENDIF(USE_GENERIC_MATH)
ENDIF(UNIX)

## clock-monotonic, see if we need to link with rt
include(CheckSymbolExists)
set(CMAKE_REQUIRED_LIBRARIES_SAVE ${CMAKE_REQUIRED_LIBRARIES})
set(CMAKE_REQUIRED_LIBRARIES rt)
CHECK_SYMBOL_EXISTS(_POSIX_TIMERS "unistd.h;time.h" SUNDIALS_POSIX_TIMERS)
set(CMAKE_REQUIRED_LIBRARIES ${CMAKE_REQUIRED_LIBRARIES_SAVE})
if(SUNDIALS_POSIX_TIMERS)
  find_library(SUNDIALS_RT_LIBRARY NAMES rt)
  mark_as_advanced(SUNDIALS_RT_LIBRARY)
  if(SUNDIALS_RT_LIBRARY)
    # sundials_config.h symbol
    SET(SUNDIALS_HAVE_POSIX_TIMERS TRUE)
    set(EXTRA_LINK_LIBS ${EXTRA_LINK_LIBS} ${SUNDIALS_RT_LIBRARY})
  endif()
endif()

# -------------------------------------------------------------
# Enable Fortran support?
# -------------------------------------------------------------

# FCMIX support is an option only if at least one solver that 
# provides such an interface is built.

IF(BUILD_ARKODE OR BUILD_CVODE OR BUILD_IDA OR BUILD_KINSOL)
  SHOW_VARIABLE(FCMIX_ENABLE BOOL "Enable Fortran-C support" OFF)
ELSE(BUILD_ARKODE OR BUILD_CVODE OR BUILD_IDA OR BUILD_KINSOL)
  HIDE_VARIABLE(FCMIX_ENABLE)
ENDIF(BUILD_ARKODE OR BUILD_CVODE OR BUILD_IDA OR BUILD_KINSOL)

# -------------------------------------------------------------
# Enable Fortran90 support?
# -------------------------------------------------------------

# F90 support is an option only if ARKode is built and 
# examples are enabled

IF(BUILD_ARKODE AND EXAMPLES_ENABLE AND FCMIX_ENABLE)
  SHOW_VARIABLE(F90_ENABLE BOOL "Enable Fortran90 ARKode examples" OFF)
ELSE(BUILD_ARKODE AND EXAMPLES_ENABLE AND FCMIX_ENABLE)
  # set back to OFF (in case was ON)
  SET(F90_ENABLE OFF)
  HIDE_VARIABLE(F90_ENABLE AND FCMIX_ENABLE)
ENDIF(BUILD_ARKODE AND EXAMPLES_ENABLE AND FCMIX_ENABLE)

# -------------------------------------------------------------
# Enable C++ support?
# -------------------------------------------------------------

# C++ support is an option only if ARKode is built and 
# examples are enabled

IF(BUILD_ARKODE AND EXAMPLES_ENABLE)
  SHOW_VARIABLE(CXX_ENABLE BOOL "Enable C++ ARKode examples" OFF)
ELSE(BUILD_ARKODE AND EXAMPLES_ENABLE)
  HIDE_VARIABLE(CXX_ENABLE)
ENDIF(BUILD_ARKODE AND EXAMPLES_ENABLE)

# -------------------------------------------------------------
# Enable BLAS/LAPACK support?
# -------------------------------------------------------------

OPTION(LAPACK_ENABLE "Enable Lapack support" OFF)

IF(NOT LAPACK_ENABLE)
  HIDE_VARIABLE(SUNDIALS_F77_FUNC_CASE)
  HIDE_VARIABLE(SUNDIALS_F77_FUNC_UNDERSCORES)
  HIDE_VARIABLE(LAPACK_LIBRARIES)
ENDIF(NOT LAPACK_ENABLE)

# -------------------------------------------------------------
# Enable SUPERLUMT support?
# -------------------------------------------------------------

OPTION(SUPERLUMT_ENABLE "Enable SUPERLUMT support" OFF)

IF(NOT SUPERLUMT_ENABLE)
  HIDE_VARIABLE(SUPERLUMT_THREAD_TYPE)
  HIDE_VARIABLE(SUPERLUMT_LIBRARY_DIR)
  HIDE_VARIABLE(SUPERLUMT_INCLUDE_DIR)
ENDIF(NOT SUPERLUMT_ENABLE)

# -------------------------------------------------------------
# Enable KLU support?
# -------------------------------------------------------------

OPTION(KLU_ENABLE "Enable KLU support" OFF)

IF(NOT KLU_ENABLE)
  HIDE_VARIABLE(KLU_LIBRARY_DIR)

=== OMEdit/qjson/src/CMakeLists.txt ===
# add_custom_command (OUTPUT ${qjson_SOURCE_DIR}/lib/json_parser.cc
#                    PRE_BUILD
#                    COMMAND bison -t -o json_parser.cc -d json_parser.yy
#                    DEPENDS json_parser.yy
#                    WORKING_DIRECTORY ${qjson_SOURCE_DIR}/lib/
#                    )

# To regenerate json_scanner.cc use:
# flex json_scanner.yy

set(qjson_MOC_HDRS
  parserrunnable.h
  serializerrunnable.h
)

IF (NOT Qt5Core_FOUND)
  qt4_wrap_cpp(qjson_MOC_SRCS ${qjson_MOC_HDRS})
ENDIF()

set (qjson_SRCS parser.cpp qobjecthelper.cpp json_scanner.cpp json_parser.cc parserrunnable.cpp serializer.cpp serializerrunnable.cpp)
set (qjson_HEADERS parser.h parserrunnable.h qobjecthelper.h serializer.h serializerrunnable.h qjson_export.h)

# Required to use the intree copy of FlexLexer.h
INCLUDE_DIRECTORIES(.)

# Special hack to fix scanner test compilation on Windows
# JsonScanner class is not for export. So need to make static
# lib what can be compiled against scanner test.
if(WIN32 AND QJSON_BUILD_TESTS AND BUILD_SHARED_LIBS)
  add_library(qjson_scanner STATIC json_scanner.cpp)
endif()

add_library (qjson ${qjson_SRCS} ${qjson_MOC_SRCS} ${qjson_HEADERS})
IF (Qt5Core_FOUND)
  target_link_libraries( qjson ${Qt5Core_LIBRARIES})
ELSE()
  target_link_libraries( qjson ${QT_LIBRARIES})
ENDIF()

if(NOT ANDROID)
	set_target_properties(qjson PROPERTIES
	                      VERSION ${QJSON_LIB_MAJOR_VERSION}.${QJSON_LIB_MINOR_VERSION}.${QJSON_LIB_PATCH_VERSION}
                              SOVERSION ${QJSON_LIB_MAJOR_VERSION}
	                      )
endif()

if(NOT BUILD_SHARED_LIBS)
	set_target_properties( qjson PROPERTIES COMPILE_DEFINITIONS "QJSON_STATIC")
endif()

set_target_properties(qjson PROPERTIES
                      DEFINE_SYMBOL QJSON_MAKEDLL
                      PUBLIC_HEADER "${qjson_HEADERS}"
                      FRAMEWORK ${OSX_FRAMEWORK}
                      )

INSTALL(TARGETS qjson EXPORT qjson-export
   LIBRARY DESTINATION ${LIB_INSTALL_DIR}
   RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin
   ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
   FRAMEWORK DESTINATION ${FRAMEWORK_INSTALL_DIR}
   PUBLIC_HEADER DESTINATION ${INCLUDE_INSTALL_DIR}/qjson
)

if(MSVC)
  get_target_property(LOCATION qjson LOCATION_DEBUG)
  string(REGEX REPLACE "\\.[^.]*$" ".pdb" LOCATION "${LOCATION}")
  install(FILES ${LOCATION} DESTINATION ${CMAKE_INSTALL_PREFIX}/bin CONFIGURATIONS Debug)

  get_target_property(LOCATION qjson LOCATION_RELWITHDEBINFO)
  string(REGEX REPLACE "\\.[^.]*$" ".pdb" LOCATION "${LOCATION}")
  install(FILES ${LOCATION} DESTINATION ${CMAKE_INSTALL_PREFIX}/bin CONFIGURATIONS RelWithDebInfo)
endif(MSVC)

=== OMCompiler/SimulationRuntime/cpp/Solver/Broyden/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.9)

project(${BroydenName})

add_library(${BroydenName} Broyden.cpp BroydenSettings.cpp FactoryExport.cpp )

if(NOT BUILD_SHARED_LIBS)
  set_target_properties(${BroydenName} PROPERTIES COMPILE_DEFINITIONS "RUNTIME_STATIC_LINKING")
endif(NOT BUILD_SHARED_LIBS)

target_link_libraries(${BroydenName} ${ExtensionUtilitiesName} ${Boost_LIBRARIES} ${LAPACK_LIBRARIES})#C:/OpenModelica/OMCompiler/SimulationRuntime/cpp/Solver/KLU/OMCppklu_static.lib)
#target_link_libraries(${BroydenName} ${ExtensionUtilitiesName} ${Boost_LIBRARIES} ${LAPACK_LIBRARIES} ${kluName})
add_precompiled_header(${BroydenName} Include/Core/Modelica.h)

install(TARGETS ${BroydenName} DESTINATION ${LIBINSTALLEXT})
install(FILES
  ${CMAKE_SOURCE_DIR}/Include/Solver/Broyden/Broyden.h
  ${CMAKE_SOURCE_DIR}/Include/Solver/Broyden/BroydenSettings.h
  ${CMAKE_SOURCE_DIR}/Include/Solver/Broyden/FactoryExport.h
  DESTINATION include/omc/cpp/Solver/Broyden)

=== OMCompiler/SimulationRuntime/cpp/Solver/CppDASSL/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.9)

project(${CppDASSLName})

add_library(${CppDASSLName} ddaskr.cpp CppDASSL.cpp CppDASSLSettings.cpp FactoryExport.cpp)

set(CPPDASSL_COMPILE_DEFINITIONS "")
if(OPENMP_FOUND)
  set(CPPDASSL_COMPILE_DEFINITIONS "USE_OPENMP")
else(OPENMP_FOUND)
  set(OpenMP_CXX_FLAGS "")
endif(OPENMP_FOUND)

target_link_libraries(${CppDASSLName} ${SolverName} ${ExtensionUtilitiesName} ${Boost_LIBRARIES} ${UMFPACK_LIB})

if(OPENMP_FOUND)
  set_target_properties(${CppDASSLName} PROPERTIES LINK_FLAGS ${OpenMP_CXX_FLAGS})
endif(OPENMP_FOUND)

if(NOT BUILD_SHARED_LIBS)
  set_target_properties(${CppDASSLName} PROPERTIES COMPILE_DEFINITIONS "RUNTIME_STATIC_LINKING")
endif(NOT BUILD_SHARED_LIBS)

set_target_properties(${CppDASSLName} PROPERTIES COMPILE_DEFINITIONS "${CPPDASSL_COMPILE_DEFINITIONS}")
set_target_properties(${CppDASSLName} PROPERTIES COMPILE_FLAGS "${OpenMP_CXX_FLAGS}")

add_precompiled_header(${CppDASSLName} Include/Core/Modelica.h)

install(TARGETS ${CppDASSLName} DESTINATION ${LIBINSTALLEXT})
install(FILES
  ${CMAKE_SOURCE_DIR}/Include/Solver/CppDASSL/CppDASSL.h
  ${CMAKE_SOURCE_DIR}/Include/Solver/CppDASSL/FactoryExport.h
  DESTINATION include/omc/cpp/Solver/CppDASSL)

=== OMCompiler/SimulationRuntime/cpp/Solver/RK12/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.9)

project(${RK12Name})

add_library(${RK12Name} RK12.cpp RK12Settings.cpp FactoryExport.cpp )

if(NOT BUILD_SHARED_LIBS)
  set_target_properties(${RK12Name} PROPERTIES COMPILE_DEFINITIONS "RUNTIME_STATIC_LINKING")
endif(NOT BUILD_SHARED_LIBS)

target_link_libraries(${RK12Name} ${SolverName} ${Boost_LIBRARIES} ${LAPACK_LIBRARIES})
add_precompiled_header(${RK12Name} Include/Core/Modelica.h)

install(TARGETS ${RK12Name} DESTINATION ${LIBINSTALLEXT})
install(FILES "config/RK12Settings.xml" DESTINATION share/omc/runtime/cpp/config)
